/*
	function.h
*/

#include "rsc_calldll.h"

// results
#define UFC_SUCCESS				0
#define UFC_UNKNOWN_FUNCNAME	1
#define UFC_MISSMATCH_ARGS		2
#define	UFS_NEED_DOLLAR			3
#define UFS_NOTFOUNDDLL			4
#define	UFS_NOTFOUNDDLLFUNC		5
#define UFC_CANTRUNEXE			6

EXTERN char	*funccall_d( HWND hWnd, const char *funcname, const struct ARGS *args, BYTE *result );

EXTERN unsigned int rfunc_CallDll( HWND hWnd, const struct ARGS *args, BYTE *result );
EXTERN char *rfunc_CallDll_dd( HWND hWnd, const struct ARGS *args, BYTE *result );

// fread/fwrite/fappendの動作設定：fmodebinary() でテキストモードかバイナリモードかを決定する
extern unsigned char fmode_bin;
// fread/fwrite/fappendの動作設定：fmodewide() でテキストモードかバイナリモードかを決定する
extern unsigned char fmode_wide;


#ifndef ERRORVALUE
#define ERRORVALUE	0xffffffff
#endif /* ERRORVALUE */
